Last Comment Bug 675072 - can not enter text into comment textbox for online picasa web picture
: can not enter text into comment textbox for online picasa web picture
Status: VERIFIED FIXED
[inbound][qa!]
: regression
Product: Core
Classification: Components
Component: DOM: Core & HTML (show other bugs)
: Trunk
: All All
: -- normal (vote)
: mozilla8
Assigned To: Makoto Kato [:m_kato]
:
Mentors:
Depends on:
Blocks: 666200
  Show dependency treegraph
 
Reported: 2011-07-28 15:51 PDT by Matt Evans [:mevans]
Modified: 2011-10-05 05:19 PDT (History)
7 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
+


Attachments
fix (2.03 KB, patch)
2011-07-31 18:34 PDT, Makoto Kato [:m_kato]
bugs: review+
Details | Diff | Review

Description Matt Evans [:mevans] 2011-07-28 15:51:07 PDT
the text box for comments is disabled in nightly build.

Build identifier: Mozilla/5.0 (Windows NT 6.1; Win64; x64; rv:8.0a1) Gecko/20110725 Firefox/8.0a1

https://picasaweb.google.com/mattchief/UK_automation_services_wrkwk_2011?fgl=true&pli=1#5633768363412546402
Comment 1 XtC4UaLL [:xtc4uall] 2011-07-29 02:25:59 PDT
Fails: Mozilla/5.0 (Windows NT 5.1; rv:8.0a1) Gecko/20110728 Firefox/8.0a1 ID:20110728213734

Works:
Mozilla/5.0 (Windows NT 5.1; rv:7.0a2) Gecko/20110728 Firefox/7.0a2 ID:20110728042002
Mozilla/5.0 (Windows NT 5.1; rv:6.0) Gecko/20100101 Firefox/6.0 ID:20110721152715
Mozilla/5.0 (Windows NT 5.1; rv:5.0.1) Gecko/20100101 Firefox/5.0.1 ID:20110707182747
Comment 2 XtC4UaLL [:xtc4uall] 2011-07-29 02:51:41 PDT
Error Console Output:
Error: uncaught exception: [Exception... "An invalid or illegal string was specified"  code: "12" nsresult: "0x8053000c (NS_ERROR_DOM_SYNTAX_ERR)"  location: "https://lh3.googleusercontent.com/s/v/78.08/script/lh_albumview__de.js Line: 693"]

http://hg.mozilla.org/mozilla-central/pushloghtml?fromchange=6df31af4cca6&tochange=19348341366b
Comment 4 XtC4UaLL [:xtc4uall] 2011-07-29 03:25:32 PDT
Even more narrowed:
http://hg.mozilla.org/integration/mozilla-inbound/pushloghtml?fromchange=9cd735344781&tochange=dd0343fffa4b

=> Checkin of Bug 666200

FWIW, above Error Console Output was for german Picasa UI, this is for en-US:

Error: uncaught exception: [Exception... "An invalid or illegal string was specified"  code: "12" nsresult: "0x8053000c (NS_ERROR_DOM_SYNTAX_ERR)"  location: "https://lh3.googleusercontent.com/s/v/78.08/script/lh_albumview.js Line: 690"]

=> TE Issue?
Comment 5 Olli Pettay [:smaug] 2011-07-29 03:37:28 PDT
Makoto, could you look at this?
Comment 6 Makoto Kato [:m_kato] 2011-07-29 03:40:30 PDT
(In reply to comment #5)
> Makoto, could you look at this?

OK. I am looking now.
Comment 7 Makoto Kato [:m_kato] 2011-07-29 03:51:23 PDT
I should handle VTYPE_VOID too.
Comment 8 Makoto Kato [:m_kato] 2011-07-31 18:34:48 PDT
Created attachment 549707 [details] [diff] [review]
fix
Comment 10 Marco Bonardo [::mak] 2011-08-02 03:18:22 PDT
http://hg.mozilla.org/mozilla-central/rev/4bee2ba4ec8a
Comment 11 Christopher Blizzard (:blizzard) 2011-08-25 14:54:55 PDT
Marked + for tracking Firefox Update 8 in case it gets re-opened.
Comment 12 Ioana (away) 2011-10-04 08:51:44 PDT
Verified as fixed on:
Mozilla/5.0 (Windows NT 5.1; rv:8.0) Gecko/20100101 Firefox/8.0
Mozilla/5.0 (Windows NT 5.1; rv:9.0a2) Gecko/20111002 Firefox/9.0a2
Mozilla/5.0 (Windows NT 5.1; rv:10.0a1) Gecko/20111003 Firefox/10.0a1

Mozilla/5.0 (Windows NT 6.1; rv:8.0) Gecko/20100101 Firefox/8.0
Mozilla/5.0 (Windows NT 6.1; rv:9.0a2) Gecko/20111003 Firefox/9.0a2
Mozilla/5.0 (Windows NT 6.1; rv:10.0a1) Gecko/20111003 Firefox/10.0a1

Mozilla/5.0 (X11; Linux i686; rv:8.0) Gecko/20100101 Firefox/8.0
Mozilla/5.0 (X11; Linux i686; rv:9.0a2) Gecko/20111003 Firefox/9.0a2
Mozilla/5.0 (X11; Linux i686; rv:10.0a1) Gecko/20111003 Firefox/10.0a1

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:8.0) Gecko/20100101 Firefox/8.0
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:9.0a2) Gecko/20110929 Firefox/9.0a2
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:10.0a1) Gecko/20110927 Firefox/10.0a1

STR:
 1. Log in to Picasa (https://picasaweb.google.com/).
 2. Open a photo.
 3. Post a comment.
All the comments I tried to post from all the Fx versions were posted without any issues.
Comment 13 Ioana (away) 2011-10-04 08:55:28 PDT
The build IDs for the Mac OS entered in the previous comment are not all correct. The aurora and nightly builds I actually verified this fix on are:

Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:9.0a2) Gecko/20111003 Firefox/9.0a2
Mozilla/5.0 (Macintosh; Intel Mac OS X 10.6; rv:10.0a1) Gecko/20111003 Firefox/10.0a1

Note You need to log in before you can comment on or make changes to this bug.